List an application deployment's restore points
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/deployments/{deployment_id}/restore-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/deployments/{deployment_id}/restore-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/deployments/{deployment_id}/restore-points \
--header 'Authorization: Bearer <token>'{
"restore_points": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backup_vault_id": "<string>",
"scope_kind": "<string>",
"stack_names": [
"<string>"
],
"trigger": "<string>",
"status": "<string>",
"total_bytes": 123,
"total_bytes_known": true,
"verification_status": "unverified",
"created_at": "2023-11-07T05:31:56Z",
"asset_count": 123,
"delete_guards_version": 2,
"verified_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"assets": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"size_bytes": 123,
"size_bytes_known": true,
"artifacts": [
{
"kind": "<string>",
"format": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"database": "<string>"
}
]
}
],
"manifest": {},
"run": {}
}
],
"next_cursor": "<string>"
}Backups
List an application deployment's restore points
A keyset page of the restore points of the stack behind one application deployment, newest first. The stack is resolved from the application’s own records. Needs backups.read.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
deployments
/
{deployment_id}
/
restore-points
List an application deployment's restore points
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/deployments/{deployment_id}/restore-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/deployments/{deployment_id}/restore-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/deployments/{deployment_id}/restore-points \
--header 'Authorization: Bearer <token>'{
"restore_points": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backup_vault_id": "<string>",
"scope_kind": "<string>",
"stack_names": [
"<string>"
],
"trigger": "<string>",
"status": "<string>",
"total_bytes": 123,
"total_bytes_known": true,
"verification_status": "unverified",
"created_at": "2023-11-07T05:31:56Z",
"asset_count": 123,
"delete_guards_version": 2,
"verified_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"assets": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"size_bytes": 123,
"size_bytes_known": true,
"artifacts": [
{
"kind": "<string>",
"format": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"database": "<string>"
}
]
}
],
"manifest": {},
"run": {}
}
],
"next_cursor": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The application's id.
The application deployment.
Query Parameters
Page size.
Required range:
x >= 1Only these statuses (repeatable or comma separated).
Available options:
creating, complete, failed, expiring, expired, deleted Only these triggers (repeatable or comma separated).
Available options:
manual, scheduled, clone, migrate, pre_restore, verification Only restore points in this vault.
next_cursor from the previous page.